> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update records (bulk)

> Update multiple rows in one call. Body: { modelUuid, records: [{ id, data }, ...] }.



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /storage/records/updateBulk
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/records/updateBulk:
    put:
      tags:
        - Storage - Records
      summary: Update records (bulk)
      description: >-
        Update multiple rows in one call. Body: { modelUuid, records: [{ id,
        data }, ...] }.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                modelUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Model UUID
                  description: Target model.
                records:
                  minItems: 1
                  maxItems: 1000
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        title: Record ID
                        description: >-
                          Record identifier; merged into the payload under the
                          model id column slug (overrides the same key in data).
                      data:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                        title: Record data
                        description: Fields to update for the row.
                    required:
                      - id
                      - data
                    additionalProperties: false
                    title: Record
                    description: A single record entry to update.
                  title: Records
                  description: Records to update. Up to 1000 per request.
              required:
                - modelUuid
                - records
              additionalProperties: false
              title: Update records (bulk) body
              description: >-
                Shape: { modelUuid, records: [{ id, data }, ...] }. data is
                merged then id is applied under the model id column slug.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                    title: Records
                    description: Updated records as returned by storage.
                required:
                  - records
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````